•   
  • 1
  • 3
  • 4
  • 5
  • 6
  • 7(current)
Linux -  v18, no visualisations / screensavers work, projectM crashes
#91
Wink 
I'm currently resetting the screensaver and visualizations. As a result, Kodi has been upgraded to GL 4.0, almost none of them are possible anymore.

With the "MESA_GL_VERSION_OVERRIDE=3.0" the new version is avoided and the addons bring something back. But that's just a stopgap.

Sit now for 2 months and is a huge job.

The following have already been changed:
- screensaver.pingpong
- screensaver.matrixtrails
- screensaver.greynetic
- screensaver.biogenesis
- screensaver.asteroids

Next come:
- screensaver.rsxs.biof
- screensaver.rsxs.busyspheres
- screensaver.rsxs.colorfire
- screensaver.rsxs.cyclone
- screensaver.rsxs.drempels
- screensaver.rsxs.euphoria
- screensaver.rsxs.feedback
- screensaver.rsxs.fieldlines
- screensaver.rsxs.flocks
- screensaver.rsxs.flux
- screensaver.rsxs.helios
- screensaver.rsxs.hufo_smoke
- screensaver.rsxs.hufo_tunnel
- screensaver.rsxs.hyperspace
- screensaver.rsxs.lattice
- screensaver.rsxs.lorenz
- screensaver.rsxs.matrixview
- screensaver.rsxs.microcosm
- screensaver.rsxs.plasma
- screensaver.rsxs.skyrocket
- screensaver.rsxs.solarwinds
- screensaver.rsxs.spirographx
- screensaver.rsxs.sundancer2
Some of them are new  Smile (https://github.com/notspiff/screensavers.rsxs/pull/20)

Then a few other screensavers and I go to the visualizations.
Reply
#92
Forget, after that all addons finally have fanart and screenshots so that you can see in Kodi what it brings before it runs. Big Grin
Reply
#93
Hi

I just updated my HTPC to LibreElec 9.0.0 / Kodi V18 Leia. 

My favourite music visualisation has stopped working Sad . WavforHue that use to change the Hue lights to the beat. It says "Add-on couldn't be loaded, An unknown error has occurred". 

Also the WaveForm visualisation doesn't work, I also tried FishBMC, Groom and they don't work either.

Only ones that seem to work are ProjectM and Spectrum. 

I've searched but can't find any information about WavforHue and Kodi Leia.
Reply
#94
Yesterday we updated projectm library to a more recent version and enabled android platform.

For android you'll need a device which supports at minimum GLES 3.0 + GLSL 300 es
This is true for NVIDIA shield, the new Amazon Stick, and most of the nowdays phones.
Reply
#95
(2018-09-25, 12:39)spiff Wrote: it would big surgery on a upstream library - not something i really have on my todo, no.
Is it not possible to change, e.g. ProjectM, to specifically request an OpenGL 3.0 context instead of the system default? The OpenGL platform interface certainly allows making such requests but I do not know if ProjectM has its own OpenGL context or is piggybacking on Kodi's. If possible, that would be a simple change.
Reply
#96
3.2 was a clean break, you can't have both at the same time. the new version works just fine. old gl is dead.
Reply
#97
(2019-02-16, 15:55)cw-kid Wrote: Hi

I just updated my HTPC to LibreElec 9.0.0 / Kodi V18 Leia. 

My favourite music visualisation has stopped working Sad . WavforHue that use to change the Hue lights to the beat. It says "Add-on couldn't be loaded, An unknown error has occurred". 
....
Hello, I am in the exact same boat - any way to update the WavforHue for Leia?
Reply
  •   
  • 1
  • 3
  • 4
  • 5
  • 6
  • 7(current)
 
Thread Rating:
  • 0 Vote(s) - 0 Average



Logout Mark Read Team Forum Stats Members Help
v18, no visualisations / screensavers work, projectM crashes00